<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DistroInfos: entities/uuid/include/uuid.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<link href="doxygen-awesome.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DistroInfos
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('uuid_8h_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">uuid.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="uuid_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// Created by Daniele Giuliani on 6/13/22.</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">//</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="preprocessor">#ifndef DISTROINFOS_UUID_H</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="preprocessor">#define DISTROINFOS_UUID_H</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160; </div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="preprocessor">#include &lt;uuid/uuid.h&gt;</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160; </div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="preprocessor">#ifdef DISTROINFOS_UUID_IMPORT</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="preprocessor">#define EXTERN</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="uuid_8h.html#a77366c1bd428629dc898e188bfd182a3">   13</a></span>&#160;<span class="preprocessor">#define EXTERN extern</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160; </div>
<div class="line"><a name="l00016"></a><span class="lineno"><a class="line" href="uuid_8h.html#aeaecee048736f8af77fe2861adc828df">   16</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct </span><a class="code" href="struct_u_u_i_d.html">UUID</a> <a class="code" href="struct_u_u_i_d.html">UuidClass</a>;</div>
<div class="line"><a name="l00017"></a><span class="lineno"><a class="line" href="struct_u_u_i_d.html">   17</a></span>&#160;<span class="keyword">struct </span><a class="code" href="struct_u_u_i_d.html">UUID</a> {</div>
<div class="line"><a name="l00018"></a><span class="lineno"><a class="line" href="struct_u_u_i_d.html#a0399eb78125961fc22085d4aac6b0d15">   18</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">void</span> *<span class="keyword">class</span>;  <span class="comment">/* must be first */</span></div>
<div class="line"><a name="l00019"></a><span class="lineno"><a class="line" href="struct_u_u_i_d.html#a0f360133eaacc08d979443a488d7a59b">   19</a></span>&#160;    uuid_t  <a class="code" href="struct_u_u_i_d.html#a0f360133eaacc08d979443a488d7a59b">binuuid</a>;</div>
<div class="line"><a name="l00020"></a><span class="lineno"><a class="line" href="struct_u_u_i_d.html#a1d60cc9ac71b04cd55453df393f5b2a8">   20</a></span>&#160;    <span class="keywordtype">char</span>    <a class="code" href="struct_u_u_i_d.html#a1d60cc9ac71b04cd55453df393f5b2a8">uuid</a>[UUID_STR_LEN];</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;};</div>
<div class="line"><a name="l00022"></a><span class="lineno"><a class="line" href="uuid_8h.html#a73d168a94630664ef7dec64540bd9306">   22</a></span>&#160;<a class="code" href="uuid_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a> <span class="keyword">const</span> <span class="keywordtype">void</span> * <a class="code" href="uuid_8h.html#a73d168a94630664ef7dec64540bd9306">Uuid</a>;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="preprocessor">#undef DISTROINFOS_UUID_IMPORT</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#undef EXTERN</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#endif //DISTROINFOS_UUID_H</span></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="astruct_u_u_i_d_html"><div class="ttname"><a href="struct_u_u_i_d.html">UUID</a></div><div class="ttdef"><b>Definition:</b> uuid.h:17</div></div>
<div class="ttc" id="auuid_8h_html_a77366c1bd428629dc898e188bfd182a3"><div class="ttname"><a href="uuid_8h.html#a77366c1bd428629dc898e188bfd182a3">EXTERN</a></div><div class="ttdeci">#define EXTERN</div><div class="ttdef"><b>Definition:</b> uuid.h:13</div></div>
<div class="ttc" id="astruct_u_u_i_d_html_a1d60cc9ac71b04cd55453df393f5b2a8"><div class="ttname"><a href="struct_u_u_i_d.html#a1d60cc9ac71b04cd55453df393f5b2a8">UUID::uuid</a></div><div class="ttdeci">char uuid[UUID_STR_LEN]</div><div class="ttdef"><b>Definition:</b> uuid.h:20</div></div>
<div class="ttc" id="auuid_8h_html_a73d168a94630664ef7dec64540bd9306"><div class="ttname"><a href="uuid_8h.html#a73d168a94630664ef7dec64540bd9306">Uuid</a></div><div class="ttdeci">const EXTERN void * Uuid</div><div class="ttdef"><b>Definition:</b> uuid.h:22</div></div>
<div class="ttc" id="astruct_u_u_i_d_html_a0f360133eaacc08d979443a488d7a59b"><div class="ttname"><a href="struct_u_u_i_d.html#a0f360133eaacc08d979443a488d7a59b">UUID::binuuid</a></div><div class="ttdeci">uuid_t binuuid</div><div class="ttdef"><b>Definition:</b> uuid.h:19</div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_9404ca00d5cf333c309ae0ebf80749c4.html">entities</a></li><li class="navelem"><a class="el" href="dir_c2e485e52dae2607309d655f76db4553.html">uuid</a></li><li class="navelem"><a class="el" href="dir_772a9530c55d0f912b79ffee9dc6f05e.html">include</a></li><li class="navelem"><a class="el" href="uuid_8h.html">uuid.h</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
